### Function

# GLib Array copy

since: 2.62

#### Declaration [src]

    GArray*
    g_array_copy (
      GArray* array
    )

#### Description [src]

Creates a shallow copy of a `GArray`. If the array elements consist of pointers to data, the pointers are copied but the actual data is not.

Available since: 2.62

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  An array.

  The data is owned by the caller of the function.

#### Return value

Type: An array of `gpointer`

The copy of `array`.

The caller of the function takes ownership of the data container, but not the data inside it.